package cn.fw.valhalla.domain.db.customer;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.valhalla.sdk.enums.CusTypeEnum;
import cn.fw.valhalla.sdk.enums.GenderEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 档案基础信息表
 *
 * @author kurisu
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CustomerBaseInfo extends BaseAuditableTimeEntity<CustomerBaseInfo, Long> {
    /**
     * 客户名称
     */
    private String name;
    /**
     * 会员id
     */
    private Long memberId;
    /**
     * 联系人姓名
     */
    private String contact;
    /**
     * 联系电话
     */
    private String mobile;
    /**
     * 客户性别
     */
    private GenderEnum gender;
    /**
     * 客户出生日期
     */
    private Date birthday;
    /**
     * 证件号码 (个人就是身份证号 单位就是组织机构代码)
     */
    private String idCode;
    /**
     * 爱好
     */
    private String hobby;
    /**
     * 客户类型 1:个人；2:单位
     */
    private CusTypeEnum cusType;
    /**
     * 工作单位 个人
     */
    private String companyName;
    /**
     * 联系地址
     */
    private String address;
    /**
     * 纬度
     */
    private BigDecimal lat;
    /**
     * 经度
     */
    private BigDecimal lng;
    /**
     * 所在城市代码
     */
    private String cityCode;
    /**
     * 所在城市名称
     */
    private String cityName;
    /**
     * 所属集团
     */
    private Long groupId;
    /**
     * 是否有效
     */
    private Boolean yn;
}