package cn.fw.valhalla.domain.db.follow;

import cn.fw.common.data.entity.BaseEntity;
import cn.fw.valhalla.domain.enums.AttTypeEnum;
import cn.fw.valhalla.domain.enums.FeedbackTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 跟进附件
 *
 * @author kurisu
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class FollowRecordLog extends BaseEntity<FollowRecordLog, Long> {
    /**
     * 跟进记录id
     */
    private Long recordId;
    /**
     * 附件类型
     */
    private AttTypeEnum attType;
    /**
     * 附件ids
     */
    private String attachments;
    /**
     * 描述
     */
    private String describes;
    /**
     * 上传时间
     */
    private Date uploadTime;
    /**
     * 反馈类型
     */
    private FeedbackTypeEnum feedbackType;
}
