package cn.fw.valhalla.domain.db.report;

import cn.fw.common.data.entity.BaseEntity;
import cn.fw.valhalla.domain.enums.DefeatReasonEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;

/**
 * @author : kurisu
 * @className : CustomerRetentionRatio
 * @description : 客户保持率
 * @date: 2020-11-24 15:40
 */
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CustomerRetentionRatio extends BaseEntity<CustomerRetentionRatio, Long> {
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 用户名称
     */
    private String userName;
    /**
     * 维度 1：个人 2：服务站
     */
    private Integer dimensions;
    /**
     * 服务站id
     */
    private Long shopId;
    /**
     * 服务站名称
     */
    private String shopName;
    /**
     * 保有客初期数
     */
    private Integer initialNum;
    /**
     * 战败数
     */
    private Integer defeatNum;
    /**
     * 战败类型
     */
    private DefeatReasonEnum type;
    /**
     * 数据日期
     */
    private Date dataDate;
}
