package cn.fw.valhalla.domain.enums;

import com.baomidou.mybatisplus.core.enums.IEnum;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;

/**
 * @author : kurisu
 * @className : DefeatReasonEnum
 * @description : 战败原因
 * @date: 2020-08-11 17:37
 */
public enum DefeatReasonEnum implements IEnum<Integer> {
//    /**
//     * 保养卡流失
//     */
//    MC(1, "保养卡流失"),
//    /**
//     * 质保卡流失
//     */
//    WC(2, "质保卡流失"),
    /**
     * 续保流失
     */
    IN(3, "续保流失"),
    /**
     * 进另一门店
     */
    TO_SHOP(4, "进另一门店"),
    /**
     * 主动放弃客户
     */
    GU(5, "主动放弃客户"),
    /**
     * 首保划走
     */
    FM(6, "首保划走"),
    /**
     * 流失预警划走
     */
    RM(7, "流失预警划走"),
//    /**
//     * 客户变更
//     */
//    CC(8, "客户主动变更"),
    /**
     * 客户档案变更
     */
    CI(9, "客户档案变更"),
    /**
     * 角色调整变更
     */
    LC(10, "角色调整变更"),
    /**
     * 其他原因
     */
    OT(99, "其他原因")
    ;

    /**
     * 值
     */
    private final Integer value;
    /**
     * 名称
     */
    @Getter
    private final String name;

    DefeatReasonEnum(final Integer value, final String name) {
        this.value = value;
        this.name = name;
    }

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static DefeatReasonEnum ofValue(final Integer value) {
        for (final DefeatReasonEnum typeEnum : DefeatReasonEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }

    /**
     * 获取值
     *
     * @return 值
     */
    @JsonValue
    @Override
    public Integer getValue() {
        return value;
    }

    /**
     * 获取描述
     *
     * @return 值
     */
    @JsonCreator
    public static String getNameByVale(final Integer value) {
        for (final DefeatReasonEnum typeEnum : DefeatReasonEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum.getName();
            }
        }
        return "";
    }
}
