package cn.fw.valhalla.domain.query;

import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;
import java.util.Date;
import java.util.Objects;
import java.util.Set;

/**
 * @author : kurisu
 * @className : StammkundeAnalyseQueryVO
 * @description : 保有客分析查询条件
 * @date: 2021-01-21 15:40
 */
@Data
@ToString
public class StammkundeAnalyseQueryVO {
    /**
     * 区域码
     */
    private String regionCode;

    /**
     * 时间范围
     */
    private String timeHorizon;

    /**
     * 中心点纬度
     */
    private BigDecimal lat;

    /**
     * 中心点经度
     */
    private BigDecimal lng;

    /**
     * 半径距离(米)
     */
    private Double radius;

    //下面的是业务处理是需要的参数

    /**
     * 纬度范围
     */
    private BigDecimal minLat;
    private BigDecimal maxLat;

    /**
     * 经度范围
     */
    private BigDecimal minLng;
    private BigDecimal maxLng;

    private Date startTime;
    private Date endTime;

    private Long groupId;
    private Set<Long> customerIds;

    public boolean hasRange() {
        return Objects.nonNull(lat) && Objects.nonNull(lng) && Objects.nonNull(radius) && radius > 0D;
    }
}
