package cn.fw.valhalla.domain.vo;

import cn.fw.common.page.AppPage;
import cn.fw.common.page.PageQuery;

import java.util.Collections;

/**
 * @author : kurisu
 * @className : AppPageVO
 * @description : 分页器
 * @date: 2020-11-20 17:12
 */
public class AppPageVO<T> extends AppPage<T> {
    private long total;

    public static <T> AppPageVO<T> init(PageQuery param) {
        return init(param.getCurrent(), param.getPageSize());
    }

    public static <T> AppPageVO<T> init(int current, int pageSize) {
        AppPageVO<T> appPageVO = new AppPageVO<>();
        appPageVO.setCurrent(current);
        appPageVO.setPageSize(pageSize);
        appPageVO.setData(Collections.emptyList());
        return appPageVO;
    }

    public AppPageVO() {
    }

    public long getTotal() {
        return total;
    }

    public void setTotal(long total) {
        this.total = total;
    }

    @Override
    public String toString() {
        return "AppPageVO(super=" + super.toString() + ", total=" + this.getTotal() + ")";
    }
}
