package cn.fw.valhalla.domain.vo.customer;

import cn.fw.common.json.MaskMobilePhone;
import cn.fw.valhalla.common.utils.StringUtils;
import lombok.Data;

import java.util.Arrays;
import java.util.Date;
import java.util.List;
import java.util.stream.Collectors;

/**
 * 档案详情
 * @author kurisu
 */
@Data
public class CustomerDetailVO {
    private Long id;
    private Long memberId;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 车架号
     */
    private String frameNo;
    /**
     * 品牌id
     */
    private Long brandId;
    /**
     * 品牌名称
     */
    private String brandName;
    /**
     * 车系id
     */
    private Long seriesId;
    /**
     * 车系名称
     */
    private String seriesName;
    /**
     * 车系id
     */
    private Long specId;
    /**
     * 车系名称
     */
    private String specName;
    /**
     * 车辆图片
     */
    private String carImage;
    /**
     * 标签
     */
    private String tags;
    /**
     * 客户星级
     */
    private Integer cusLevel;
    /**
     * 联系人
     */
    private String name;
    /**
     * 工作单位;个人
     */
    private String companyName;
    /**
     * 联系电话
     */
    @MaskMobilePhone
    private String mobile;

    private String realMobile;
    /**
     * 号码归属地
     */
    private String region;
    /**
     * 客户类型;1:个人；2:单位
     */
    private Integer cusType;
    /**
     * 组织机构代码
     */
    private String orgCode;
    /**
     * 当前行驶里程 单位KM
     */
    private Integer currentMileage;
    /**
     * 专属服务顾问id
     */
    private Long adviserId;
    /**
     * 专属服务顾问名称
     */
    private String adviserName;
    /**
     * 购车日期
     */
    private Date buyDate;

    public List<String> getTags() {
        if (StringUtils.isValid(this.tags)) {
            return Arrays.stream(this.tags.split(","))
                    .filter(StringUtils::isValid)
                    .collect(Collectors.toList());
        }
        return null;
    }
}