package cn.fw.valhalla.domain.vo.customer;

import cn.fw.common.json.MaskMobilePhone;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author Kurisu
 * 2020-02-21 4:48 下午
 */
@Data
public class OwnerVO {
    private Long id;
    /**
     * 会员id
     */
    private Long memberId;
    /**
     * 客户姓名
     */
    private String name;
    /**
     * 客户证件号码
     */
    private String idNum;
    /**
     * 客户联系电话
     */
    @MaskMobilePhone
    private String mobile;
    /**
     * 组织机构代码
     */
    private String orgCode;
    /**
     * 客户性别
     */
    private Integer gender;
    /**
     * 客户出生日期
     */
    private Date birthday;
    /**
     * 客户等级描述
     */
    private String levelDesc;
    /**
     * 爱好
     */
    private String hobby;
    /**
     * 客户类型;1:个人；2:单位
     */
    private Integer cusType;
    /**
     * 工作单位;个人
     */
    private String companyName;
    /**
     * 联系地址
     */
    private String address;
    /**
     * 纬度
     */
    private BigDecimal lat;
    /**
     * 经度
     */
    private BigDecimal lng;
    /**
     * 是否关注微信公众号
     */
    private Boolean subscribed;
    /**
     * 是否加入了企业微信
     */
    private Boolean joined;
}
