package cn.fw.valhalla.domain.vo.customer;

import cn.fw.valhalla.domain.dto.StammkundeAnalyseDTO;
import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;

/**
 * @author : kurisu
 * @className : StammkundeAnalyseDTO
 * @description : 保有客分析DTO
 * @date: 2021-01-21 18:11
 */
@Data
@ToString
public class StammkundeAnalyseVO {
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 档案名称
     */
    private String customerName;
    /**
     * 车牌
     */
    private String plateNo;
    /**
     * 纬度
     */
    private BigDecimal lat;
    /**
     * 经度
     */
    private BigDecimal lng;

    public static StammkundeAnalyseVO with(StammkundeAnalyseDTO dto) {
        StammkundeAnalyseVO vo = new StammkundeAnalyseVO();
        vo.setCustomerId(dto.getCustomerId());
        vo.setCustomerName(dto.getCustomerName());
        vo.setPlateNo(dto.getPlateNo());
        vo.setLat(dto.getLat());
        vo.setLng(dto.getLng());
        return vo;
    }
}
