package cn.fw.valhalla.domain.vo.follow;

import cn.fw.valhalla.domain.enums.AttTypeEnum;
import cn.fw.valhalla.domain.enums.FeedbackTypeEnum;
import cn.fw.valhalla.domain.enums.FollowTypeEnum;
import lombok.Data;

import java.util.Date;
import java.util.Objects;

/**
 * @author : kurisu
 * @className : FollowRecordVO
 * @description : 跟进记录
 * @date: 2020-08-17 15:21
 */
@Data
public class FollowRecordVO {
    private Long id;
    /**
     * recordId
     */
    private Long recordId;
    /**
     * 跟进任务id
     */
    private Long taskId;
    /**
     * 附件类型
     */
    private AttTypeEnum attType;
    /**
     * 跟进类型
     */
    private FollowTypeEnum followType;
    /**
     * 反馈类型
     */
    private FeedbackTypeEnum feedbackType;
    /**
     * 附件ids
     */
    private String attachments;
    /**
     * 上传时间
     */
    private Date uploadTime;
    /**
     * 描述
     */
    private String describes;
    /**
     * 第几次跟进
     */
    private Integer times;

    public Integer getAttType() {
        if (Objects.isNull(attType)) {
            return null;
        }
        return attType.getValue();
    }

    public Integer getFollowType() {
        if (Objects.isNull(followType)) {
            return null;
        }
        return followType.getValue();
    }

    public Integer getFeedbackType() {
        if (Objects.isNull(feedbackType)) {
            return null;
        }
        return feedbackType.getValue();
    }
}
