package cn.fw.valhalla.domain.vo.pool;

import cn.fw.valhalla.domain.enums.ClueStatusEnum;
import lombok.Data;
import lombok.ToString;

import java.util.Date;

/**
 * @author : kurisu
 * @className : StammkundePoolVO
 * @description : 保有客池
 * @date: 2020-11-19 17:27
 */
@Data
@ToString
public class CustomerCluePoolVO {
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 车架号
     */
    private String frameNo;
    /**
     * 是否是贷款客户
     */
    private Boolean loanCustomer;
    /**
     * 购车时间
     */
    private Date buyDate;
    /**
     * 上次进站时间
     */
    private Date arrivalTime;
    /**
     * 保险到期时间
     */
    private Date insuranceExpires;
    /**
     * 线索类型
     */
    private Integer type;
    private Date addTime;
    /**
     * 线索创建时间
     */
    private Date createDate;
    /**
     * 线索到期时间
     */
    private Date deadline;
    /**
     * 线索状态
     */
    private Integer status;
    /**
     * 成交人员
     */
    private String finishUser;
    /**
     * 成交门店
     */
    private String finishShop;
    /**
     * 初始跟进人名称
     */
    private String originalUser;
    /**
     * 初始跟进门店名称
     */
    private String originalShop;
    /**
     * 关单时间
     */
    private Date closeTime;
    /**
     * 零售门店
     */
    private String saleShop;
}
