package cn.fw.valhalla.component;

import cn.fw.valhalla.sdk.constant.TopicConstant;
import cn.fw.valhalla.sdk.param.FollowOriginalParam;
import cn.fw.valhalla.service.bus.follow.OriginalDataBizService;
import lombok.extern.slf4j.Slf4j;
import org.apache.rocketmq.spring.annotation.RocketMQMessageListener;
import org.apache.rocketmq.spring.core.RocketMQListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author : kurisu
 * @className : FollowOriginalDataConsumer
 * @description : 跟进原始数据消费者
 * @date: 2020-08-14 17:35
 */
@Slf4j
@Component
@RocketMQMessageListener(topic = TopicConstant.FOLLOW_TOPIC, consumerGroup = "${spring.application.name}-" + TopicConstant.FOLLOW_TOPIC)
public class FollowOriginalDataConsumer implements RocketMQListener<FollowOriginalParam> {
    private final OriginalDataBizService originalDataBizService;

    @Autowired
    public FollowOriginalDataConsumer(final OriginalDataBizService originalDataBizService) {
        this.originalDataBizService = originalDataBizService;
    }

    @Override
    public void onMessage(FollowOriginalParam followOriginalParam) {
        // MQ形式 暂时废弃
    }
}
