package cn.fw.valhalla.service.data;

import cn.fw.valhalla.domain.db.pool.PublicPool;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Optional;

/**
 * @author : kurisu
 * @className : PublicPoolService
 * @description : 公共池
 * @date: 2020-09-25 16:09
 */
public interface PublicPoolService extends IService<PublicPool> {
    /**
     * 根据车牌号查询
     * @param plateNo
     * @param groupId
     * @return
     */
    Optional<PublicPool> queryByPlate(String plateNo, Long groupId);

    /**
     * 移除公共池
     * @param customerId
     * @param groupId
     */
    void removeByCustomerId(Long customerId, Long groupId);
}
